/**
 * FormBuilder Basic Framework
 *
 * This SCSS file is meant to be a starting point for your own form styling
 *
 */
.FormBuilder, .FormBuilder input, .FormBuilder textarea, .FormBuilder select, .FormBuilder button, .FormBuilder .ui-widget {
  border-radius: 3px;
  box-shadow: none;
  font-size: 15px;
  line-height: 30px;
  display: block;
  width: 100%;
  padding: 0 5px;
}
.FormBuilder select {
  height: 30px;
}
.FormBuilder .alert {
  padding: 10px 15px;
}
.FormBuilder .alert-error {
  background: red;
  color: #fff;
  display: none;
}
.FormBuilder .alert-success {
  background: green;
  color: #fff;
}

.FormBuilder.InputfieldForm {
  padding: 1px;
}
.FormBuilder.InputfieldForm input:not([type=radio]):not([type=checkbox]):not([type=file]):not([type=range]),
.FormBuilder.InputfieldForm textarea {
      color: #888888;
    border-color: transparent;
}
.FormBuilder.InputfieldForm input:not([type=radio]):not([type=checkbox]):not([type=file]):not([type=range]):focus,
.FormBuilder.InputfieldForm textarea:focus {
  background: white;
  border-color: #e5322c;
}
.FormBuilder.InputfieldForm input[type=file] {
  line-height: 1em;
    height: 46px;
}
.FormBuilder.InputfieldForm button {
    background-color: #e5322c;
    border-color: #e5322c;
        padding: 10px 30px;
    font-size: 15px;
    color: #fff;
    border-radius: 3px;
    display: inline-block;
    text-decoration: none;
    border-style: solid;
    border-width: 1px;
    position: relative;
    cursor: pointer;
    outline: none;
    text-align: center;
    transition: all .5s;
}
.FormBuilder.InputfieldForm button:hover {
  cursor: pointer;
  background: #484848;
}
.FormBuilder.InputfieldForm .input-error {
  color: red;
  font-size: smaller;
}
.FormBuilder.InputfieldForm .Inputfield {
  margin-bottom: 0.5em;
}
.FormBuilder.InputfieldForm .Inputfield .InputfieldHeader {
  display: block;
  font-weight: 600;
  padding-bottom: 0.25em;
}
.FormBuilder.InputfieldForm .notes,
.FormBuilder.InputfieldForm .description {
  margin-bottom: 0.5em;
  margin-top: 0;
  opacity: 0.6;
}
.FormBuilder.InputfieldForm .notes {
  font-size: smaller;
}
.FormBuilder.InputfieldForm fieldset.InputfieldFieldset {
  padding: 25px;
  padding-top: 0;
  padding-bottom: 0;
  border: 1px solid #ddd;
}
.FormBuilder.InputfieldForm fieldset.InputfieldFieldset legend {
  font-weight: 600;
}
.FormBuilder.InputfieldForm fieldset.InputfieldFieldset > .InputfieldContent > .description {
  margin: 1em 0;
}
.FormBuilder.InputfieldForm .InputfieldFormBuilderFile {
  padding: 25px;
  padding-bottom: 12.5px;
  border: 1px solid #ddd;
  background: #fbfbfb;
}
.FormBuilder.InputfieldForm .InputfieldCheckbox .pw-no-select,
.FormBuilder.InputfieldForm .InputfieldCheckboxes .pw-no-select,
.FormBuilder.InputfieldForm .InputfieldRadios .pw-no-select {
  position: relative;
  top: 2px;
}
.FormBuilder.InputfieldForm .InputfieldStateRequired > .InputfieldHeader:first-child:after {
  color: #004b95;
  fill: #004b95;
  content: "*";
}
.FormBuilder.InputfieldForm #wrap_Inputfield- {
  display: none;
}

.InputfieldContent {
  border-radius: 3px;
  box-shadow: 0 3px 23px rgba(39, 79, 117, .15);
  color:  #888888;
  font-size: 15px;
  line-height: 30px;
}

.Inputfields > .Inputfield > .InputfieldContent:before,
.Inputfields > .Inputfield > .InputfieldContent:after,
.InputfieldForm:after,
.pw-clearfix:before,
.pw-clearfix:after {
  content: "";
  display: table;
  border-collapse: collapse;
}

.Inputfields > .Inputfield > .InputfieldContent:after,
.InputfieldForm:after,
.pw-clearfix:after {
  clear: both;
}



.pw-clearfix {
  min-height: 0;
}
